Get agent consumption data

Server: https://{kibana_url}
  • POST /api/agent_builder/agents/{agent_id}/consumption

Returns paginated, per-conversation token consumption data for a given agent. Includes input/output token counts, round counts, LLM call counts, and warnings for conversations with high token usage. Requires the manageAgents privilege. To learn more about monitoring agent token usage, refer to the monitor usage documentation.

[Required authorization] Route required privileges: agentBuilder:manageAgents.

Path Parameters

agent_id string required

The unique identifier of the agent.

Response

200

Indicates a successful response

application/json